<!-- goodsDetail 商品详情 -->
<template>
  <div>
    <van-tabs class="goods-tab" v-model="active" :title-active-color="m_color" :color="m_color">
      <van-tab title="商品"></van-tab>
      <van-tab title="详情"></van-tab>
      <van-tab title="评价"></van-tab>
    </van-tabs>

    <div class="content-box">
      <div v-show="active==0">
        <van-swipe class="imgBox" :autoplay="3000" indicator-color="white">
          <van-swipe-item v-for="(item ,index ) in goodsInfo.images" :key="index">
            <img class="imgBox" :src="item" />
          </van-swipe-item>
        </van-swipe>

        <div class="goodsItem mb10">
          <div class="goods-title">{{goodsInfo.title}}</div>
          <div class="flex flex-m mt10">
            <div class="goods-price" v-if="showPrices">¥{{goodsInfo.price}}</div> <div v-else>
            <div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div>
          </div>
            <div class="goods-del ml20" v-if="showPrices">¥{{goodsInfo.original_price}}</div>
            <div class="goods-price ml30" v-if="isGroupBuyWillShow(goodsInfo)">团购价 {{goodsInfo.min_item_endprice}} 件 {{goodsInfo.item_endprice*goodsInfo.min_item_endprice}}</div>
            <div class="flex-1"></div>
              <div style="margin-right:2%" v-if="goodsInfo.created_by != 0">  <img src="@/assets/img/img/shop-seller.png" width="20px"> </div>
              <div style="margin-right:2%" v-else>  <img src="@/assets/img/img/shop-admin.png" width="20px"> </div>
            <div style="margin-right:2%"><a @click="shareUrl()">  <img src="@/assets/img/share.png" width="20px"></a> </div>
            <div>销量：{{goodsInfo.sale_num}} </div>
          </div>
        </div>

      </div>

      <div v-show="active==1">
        <!-- 参数 -->
        <van-cell-group class="mb10" v-if="goodsInfo.params.length" :border="false">
          <van-cell :border="false" v-for="item in goodsInfo.params" :title="item.title" :value="item.value" :key="item.id" />
        </van-cell-group>
      </div>

      <div v-show="active!=2">
        <!-- <div class="goods-desc ">{{goodsInfo.description}}</div> -->
        <div class="bgfff pt10 pb10" v-html="goodsInfo.content"></div>
      </div>

      <div v-show="active==2">
        <commentList :goods_id="id" :created_by="goodsInfo.created_by" :seller_name="goodsInfo.seller_name" />
      </div>

    </div>

    <div class="goods-bar flex flex-m" v-if="active!=2">
      <!-- <div class="flex-1"></div>
      <div class="g-btn btn-car">加入购物车</div>
      <div class="g-btn btn-buy">立即购买</div> -->
      <van-goods-action v-if="showPrices">
        <van-goods-action-icon @click="$router.push('/index/car')" icon="cart-o" text="购物车" />
        <van-goods-action-button @click="handleAdd(0)" type="warning" text="加入购物车" />
        <van-goods-action-button @click="handleAdd(1)" type="danger" text="立即购买" />
      </van-goods-action>
    </div>

    <div class="goods-bar flex flex-m" v-else>
        <van-goods-action style="background-color:#F8F8F8; margin-bottom:20px;" v-if="goodsInfo.created_by !== '0' ">
         <div style="width:40%; margin:0 auto;" @click="reportSeller()">
           <div style="display:inline-block"> <img src="@/assets/img/img/report.png" width="50px"> </div>
           <div style="margin-left:20px; margin-bottom:20px; color:#3969f1; display:inline-block; top:-10px "> <h3>報告賣方</h3><br></div>
            </div>
        </van-goods-action>
    </div>

    <add-goods @comfirm="submit" v-model="addShow" v-if="addShow" :info="goodsInfo" />
  </div>
</template>

<script>
import commentList from './commentList'
import config from "@/config"
import addGoods from '@/components/addGoods'
export default {
  name: 'goodsDetail',
  components: { addGoods ,commentList },
  data() {
    return {
      active: 0,
      goodsInfo: {
        images: [],
        params: [], //参数
        options: {}, //规格集合,
        created_by: '',
        seller_name:'',
      },
      addShow: false,
      submitType: '', // 0 购物车 1购买
      id:'',
      showPrices:false
    }
  },
  created() {
    this.id = this.$route.query.id;
    this.init()
  },
  methods: {
    //初始化方法
    init() {
      this.getGoodsInfo();
      this.getGoodsPrice();
    },
    isGroupBuyWillShow(goodsInfo) {
      return goodsInfo.item_endprice > 0 && goodsInfo.min_item_endprice > 0;
    },
    getGoodsInfo() {
      this.m_loading();
      let query = this.$route.query;
      let data = {
        id: query.id,
        userName: localStorage.userName
      };
      this.api.goods_detail(data).then(res => {
        console.log('goods detail ', res.data );
        this.goodsInfo = res.data;
        this.m_hideLoading();
      })
    },
    getGoodsPrice() {
      this.m_loading();
      let query = this.$route.query;
      let data = {
        id: query.id,
        userName: localStorage.userName
      };
      this.api.goods_price(data).then(res => {
        console.log('goods detail ', res.data );
        this.goodsInfo = res.data;
        this.showPrices = true;
        this.m_hideLoading();
      })
    },

      shareUrl() {
      console.log(config);
      let url = config.production.host + `/mobile.html#/goodsDetail?id=${this.id}`;
      let textarea = document.createElement('textarea');
      textarea.value = url;
      textarea.style.position = 'absolute';
      textarea.style.top = '-9999px';
      document.body.appendChild(textarea);
      textarea.focus();
      textarea.select();
      document.execCommand("Copy");
      textarea.remove();

      this.m_success('复制成功')
    },



    // 0 购物车 1购买
    handleAdd(v) {
      if (v) {
        console.log('buy clicked');
        //BridgeSDK.goToWebPage({
          //url: 'buyclick'
        //})
        //购买
      } else {
        //购物
      }
      this.submitType = v;
      this.addShow = true

    },
     reportSeller() {
      this.$router.replace({ path: '/reportSeller', query: { seller_id: this.goodsInfo.created_by, seller_name : this.goodsInfo.seller_name  } })
    },


    submit(data) {
      let submitType = this.submitType;
      if (submitType == 0) {
        //购物车
        this.handleAddCar(data)

      } else {
        //立即购买
        console.log('data' , data);
        this.handleBuy(data)
      }
    },

    handleAddCar(data) {
      let f = {
        goods_id: this.goodsInfo.id,
        num: data.num,
        option_id: data.option_id || '0',
      };
      this.m_loading();
      this.api.goods_cart_add(f).then(res => {
        this.m_hideLoading();
        this.m_success('添加成功');
        this.addShow = false
      })

    },

    handleBuy(data) {
      let goodsInfo = this.goodsInfo;
      console.log('goods info : ', this.goodsInfo);
      let total = this.isNaN0(data.num) * this.isNaN0(data.price);
      let item = {
        goods_id: goodsInfo.id,
        cart_id: '',
        num: data.num,
        option_id: data.option_id || '0',
        price: data.price,
        images: data.images,
        title: goodsInfo.title,
        unit: goodsInfo.unit,
        total: data.total,
        option_name:data.option_name
      };
      console.log(item,data);
      let orderItem = JSON.stringify({ goods: [item], goods_price: total });
      sessionStorage.orderData = orderItem;
      this.$router.push('/suerOrder')

    },
 },

  filters: {

  }
}

</script>
<style lang='scss' scoped>
.goods-tab {
  position: fixed;
  width: 100%;
  z-index: 99;
}
.content-box {
  padding-top: 0.9rem;
  padding-bottom: 1.2rem;
}

.imgBox {
  width: 100%;
  height: 7rem;
}

.goodsItem {
  padding: 0.2rem 0.26rem;
  background: #fff;
  .goods-title {
    font-size: 0.32rem;
    font-weight: bold;
  }
  .goods-price {
    color: #ff5555;
    font-size: 0.4rem;
  }
  .goods-del {
    color: #c0c0c0;
    text-decoration: line-through;
  }
}

.goods-desc {
  background: #fff;
  padding: 0.2rem 0.26rem;
  background: #fff;
  font-size: 0.28rem;
  color: #333;
  font-weight: bold;
}

/* Loader */

.lds-ellipsis {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ellipsis div {
  position: absolute;
  top: 33px;
  width: 13px;
  height: 13px;
  border-radius: 50%;
  background: #ee0a24;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
  left: 8px;
  animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
  left: 8px;
  animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
  left: 32px;
  animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(4) {
  left: 56px;
  animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(24px, 0);
  }
}


</style>


